# プロモーションコードを検証する

コードがプロモーションコードであるかクーポンコードであるかを判別し、ユーザーがそれを適用できるかどうかを判定します。


  注意
    このAPIコールはユーザーJWTを使用して認証を行います。
    トークンはAuthorizationヘッダーへ次の形式でトークンを設定します：Bearer &lt;user_JWT&gt;。ユーザーJWTに関する詳細情報は、該当コールのセキュリティブロックで確認できます。

Endpoint: GET /v2/project/{project_id}/promotion/code/{code}/verify
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `code` (string, required)
    大文字と小文字を区別する一意のコードです。文字と数字が含まれます。
    Example: "WINTER2021"

## Response 200 fields (application/json):

  - `type` (string)
    コードタイプ：promocode/coupon。

  - `code` (string)
    大文字と小文字を区別する一意のコードです。文字と数字が含まれます。

  - `rewards` (any)

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"

## Response 403 fields (application/json):

  - `statusCode` (integer)
    Example: 403

  - `errorCode` (integer)

  - `errorMessage` (string)
    Example: "Authorization header not sent."

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9811

  - `errorMessage` (string)
    Example: "[0401-9811]: Code not found."

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"

## Response 422 fields (application/json):

  - `errorCode` (integer)

  - `statusCode` (integer)

  - `errorMessage` (string)


